/*
 * This file is part of LibNSLayout
 * Licensed under the ISC License, http://opensource.org/licenses/ISC
 * Copyright 2015 Michael Drake <tlsa@netsurf-browser.org>
 */

/** \file src/layout.h
 * Layout object handling
 */

#ifndef nslayout_layout_h_
#define nslayout_layout_h_

#include <libnslayout/nslayout.h>

/**
 * The layout object for a DOM document
 */
struct nslayout_layout {
	dom_document *document;
	css_select_ctx *css_ctx;
	css_media_type *media;
	nslayout_callback cb;
	void *pw;

	struct nsl_dom_watcher *watcher;
};

#endif
